{
  name: "Room Service",
  spritenum: 717,
  fling: {
  	basePower: 100,
  },
  onStart(pokemon) {
  	if (!pokemon.ignoringItem() && this.field.getPseudoWeather('trickroom')) {
  		pokemon.useItem();
  	}
  },
  onAnyPseudoWeatherChange() {
  	const pokemon = this.effectState.target;
  	if (this.field.getPseudoWeather('trickroom')) {
  		pokemon.useItem(pokemon);
  	}
  },
  boosts: {
  	spe: -1,
  },
  num: 1122,
  gen: 8,
}